<div align="center">
    <a href='https://pypi.org/project/rpa-suite/' target='_blank'>
        <img src='./logo-rpa-suite.png' alt='Logo - RPA Suite' width='56px'>
    </a>
</div>
<h1 align="center">
    RPA Suite
</h1> 

## Kit de ferramentas para o desenvolvimento do seu bot, automação ou projeto.

**Versátil**: Embora tenha sido criado com foco no desenvolvimento de BOTs em RPA, as ferramentas são de uso geral e podem ser aplicadas em outros tipos de projetos, *além do RPA*.

**Simples**: Construímos as ferramentas de maneira mais direta e assertiva possível, utilizando apenas bibliotecas conhecidas no mercado para garantir o melhor aproveitamento e desempenho possível.

## Objetivo:

Nosso objetivo é tornar o desenvolvimento de RPAs mais produtivo, oferecendo funções prontas para usos comuns, como:

- Envio de emails (já configurado e personalizavel)
- Validação de emails (limpeza e tratamento)
- Busca por palavras, strings ou substrings (patterns) em textos.
- Criação e deleção de pasta/arquivo temporário com um comando
- Console com mensagens de melhor visualização com cores definidas para alerta, erro, informativo e sucesso.
- E muito mais

### Instalação:
Para **instalar** o projeto, utilize o comando

    >>> python -m pip install rpa-suite

Para **desinstalar** o projeto, utilize o comando abaixo. **Obs.:** como usamos algumas libs no projeto, lembre-se de desinstar elas caso necessário.

    >>> python -m pip uninstall rpa-suite loguru email-validator colorama

### Exemplo de uso:
Como nosso projeto é dividido em submodulos, é necessario usar from rpa_suite e navegar até o módulo/submódulo desejado para fazer o import. No exemplo abaixo estamos acessando o modulo **clock** que possui submódulos dedicados a funções relacionadas a tempo:

    from rpa_suite.clock.waiter import wait_for_exec

    # esperar x segundos, executa a função y, usando os paramentros z, w
    wait_for_exec(x, y, z, w)

### Dependencias:
No setup do nosso projeto já estão inclusas as dependências, só será necessário instalar nossa **Lib**, mas segue a lista das libs usadas:
- colorama
- loguru
- email-validator
  
### Estrutura do módulo:
O módulo principal do rpa-suite é dividido em categorias. Cada categoria contém módulos com funções destinadas a cada tipo de tarefa
- **rpa_suite**
    - **clock**
        - **waiter** - Funções para aguardar execução
    - **date**
        - **date** - Funções para capturar data, mes, ano, hora, minutos de forma individual em apenas uma linha
    - **email**
        - **sender_smtp** - Funções para envio de email SMPT 
    - **file**
        - **counter** - Funções para contagens
        - **temp_dir** - Funções para diretórios temporários
    - **log**
        - **loggin** - Funções decoradoras com log de execução das funções
        - **printer** - Funções print personalizados (alerta, erro, sucesso, informativo)
    - **regex**
        - **list_from_text** - Funções para gerar listas, dividindo texto usando padrão regex
    - **validate**
        - **mail_validator** - Funções para validação de emails
        - **string_validator** - Funções para validação/varredura (strings, substrings, palavras)

### Versão do projeto:
A versão mais recente é a **Alpha 0.6.1**, lançada em *02/12/2023*. O projeto está atualmente em desenvolvimento.

### Mais Sobre:

Para mais informações, visite nosso projeto no Github ou PyPi:
<a href='https://github.com/CamiloCCarvalho/rpa_suite' target='_blank'>
    Ver no GitHub.
</a>
</br>
<a href='https://pypi.org/project/rpa-suite/' target='_blank'>
    Ver projeto publicado no PyPI.
</a>
